{"swagger":"2.0","info":{"description":"This is the v2 123recht.de Frag-einen-Anwalt.de API server.  You can find out more about 123recht.de at [https://www.123recht.de](https://www.123recht.de) and Frag-einen-Anwalt.de at [https://www.frag-einen-anwalt.de](https://www.frag-einen-anwalt.de).","version":"0.3","title":"123fea Private API","termsOfService":"https://www.123recht.de/info.asp?id=apiterms","contact":{"email":"info@123recht.de"},"license":{"name":"Apache 2.0","url":"http://www.apache.org/licenses/LICENSE-2.0.html"}},"host":"api.123recht.de","basePath":"/v1","tags":[{"name":"clients","description":"Information about your Clients","externalDocs":{"description":"Find out more","url":"https://www.123recht.de"}},{"name":"matters","description":"Access to your legal advice matters"},{"name":"invoices","description":"Invoices from your legal advice matters"}],"schemes":["https"],"paths":{"/rating/{matterId}":{"post":{"tags":["rating"],"summary":"Allows client to rate the answer to her own question","description":"Allows client to rate the answer to her own question.","operationId":"rating","produces":["application/json"],"parameters":[{"name":"session","in":"header","description":"current session of the user from /login method","required":true,"type":"string"},{"name":"id","in":"header","description":"id of the user from /login method","required":true,"type":"integer"},{"name":"matterId","in":"path","description":"ID of matter to be rated","required":true,"type":"string"},{"name":"body","in":"body","description":"values for the new matter","required":true,"schema":{"$ref":"#/definitions/Rating"}}],"responses":{"200":{"description":"rating saved successfully"},"400":{"description":"Invalid call"},"401":{"description":"Unauthorized"},"404":{"description":"Not a valid matterId for this client"}},"security":[{"apiKey":[]}]}},"/login":{"post":{"tags":["login and register"],"summary":"Allows user to login with their username and password","description":"Logs in user and returns url that allows platform access. The session and url are valid for x minutes.","operationId":"register","produces":["application/json"],"parameters":[{"in":"body","name":"user","description":"username / password for login","required":true,"schema":{"type":"object","properties":{"username":{"type":"string"},"password":{"type":"string"}}}}],"responses":{"200":{"description":"successful operation","schema":{"$ref":"#/definitions/User"}},"403":{"description":"Invalid username password combination or too many recent attempts"}},"security":[{"apiKey":[]}]}},"/register":{"post":{"tags":["login and register"],"summary":"Allows user to register their username and password","description":"Logs in user and returns url that allows platform access. The session and url are valid for x minutes.","operationId":"login","produces":["application/json"],"parameters":[{"in":"body","name":"user","description":"username password and information for registration","required":true,"schema":{"type":"object","properties":{"Name":{"type":"string"},"Password":{"type":"string","description":"password requires a minimum length of 8 characters, at least one integer and one special character"},"Email":{"type":"string"},"PLZ":{"type":"string"},"Country":{"type":"string"},"Sig":{"type":"string"},"Homepage":{"type":"string"},"newsletter":{"type":"integer","description":"0 for opt-out, 1 for opt-in"}}}}],"responses":{"200":{"description":"successful operation","schema":{"$ref":"#/definitions/User"}},"403":{"description":"Invalid username password combination or too many recent attempts"}},"security":[{"apiKey":[]}]}},"/registerPhone":{"post":{"tags":["login and register"],"summary":"Allows user to register via text message code entry","description":"Sends a text message to user phone that allows platform access.","operationId":"loginviatext","produces":["application/json"],"parameters":[{"in":"body","name":"user","description":"user phone number for registration","required":true,"schema":{"type":"object","properties":{"phone":{"type":"integer","description":"phone number as integer"},"country_code":{"type":"integer","description":"country code of phone number"}}}}],"responses":{"200":{"description":"successful operation code sent to user phone"},"400":{"description":"Invalid number or code could not be sent"},"403":{"description":"invalid entry or code could not be sent"}},"security":[{"apiKey":[]}]}},"/registerPhoneVerify":{"post":{"tags":["login and register"],"summary":"Verifies user code sent via text message code entry","description":"Verifies code sent to user that allows platform access.","operationId":"loginviatextverify","produces":["application/json"],"parameters":[{"in":"body","name":"user","description":"user phone number for registration","required":true,"schema":{"type":"object","properties":{"phone":{"type":"integer","description":"phone number as integer"},"country_code":{"type":"integer","description":"country code of phone number"},"code":{"type":"integer","description":"code sent as verification"}}}}],"responses":{"200":{"description":"successful operation code verified user logged in","schema":{"$ref":"#/definitions/User"}},"400":{"description":"code invalid"},"403":{"description":"invalid entry"}},"security":[{"apiKey":[]}]}},"/registerEmail":{"post":{"tags":["login and register"],"summary":"Allows user to register via email verification entry","description":"Sends a code to user email that allows platform access.","operationId":"loginviaemail","produces":["application/json"],"parameters":[{"in":"body","name":"useremail","description":"user email for registration","required":true,"schema":{"type":"object","properties":{"email":{"type":"string","description":"email of user"}}}}],"responses":{"200":{"description":"successful operation code sent to user email"},"400":{"description":"Invalid email or email could not be sent"},"403":{"description":"invalid entry or email could not be sent"}},"security":[{"apiKey":[]}]}},"/registerEmailVerify":{"post":{"tags":["login and register"],"summary":"Verifies user code sent via email","description":"Verifies code sent to user that allows platform access.","operationId":"loginviaemailverify","produces":["application/json"],"parameters":[{"in":"body","name":"userEmail","description":"user email for registration","required":true,"schema":{"type":"object","properties":{"email":{"type":"string","description":"email of user"},"code":{"type":"integer","description":"code sent as verification"}}}}],"responses":{"200":{"description":"successful operation code verified user logged in","schema":{"$ref":"#/definitions/User"}},"400":{"description":"code invalid"},"403":{"description":"invalid entry"}},"security":[{"apiKey":[]}]}},"/clients":{"get":{"tags":["clients"],"summary":"List all clients","description":"Returns all clients for current lawyer","operationId":"findClients","produces":["application/json"],"parameters":[{"name":"session","in":"header","description":"current session of the user from /login method","required":true,"type":"string"},{"name":"id","in":"header","description":"id of the user from /login method","required":true,"type":"integer"},{"name":"site","in":"query","description":"Service site that the client used: Direktanfrage 123recht.de (1) OR frag-einen-anwalt.de (3)","required":false,"type":"integer"},{"name":"limit","in":"query","description":"Limits the number of results (default: x)","required":false,"type":"integer"},{"name":"page","in":"query","description":"Specifies the page of results (default: 1)","required":false,"type":"integer"},{"name":"from","in":"query","description":"Specifies the date and time to search results from","required":false,"type":"string"},{"name":"to","in":"query","description":"Specifies the date and time to search results to","required":false,"type":"string"},{"name":"order","in":"query","description":"Specifies the field to order the results by. date OR alphabetic (default: date)","required":false,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"type":"array","items":{"$ref":"#/definitions/Client"}},"headers":{"Pagination-Count":{"description":"Total number of clients","type":"integer"},"Pagination-Page":{"description":"Current page number","type":"integer"},"Pagination-Limit":{"description":"Number of returned clients per page","type":"integer"}}},"400":{"description":"Invalid call"},"401":{"description":"Unauthorized"},"404":{"description":"No clients found"}},"security":[{"apiKey":[]}]}},"/notifications":{"get":{"tags":["notifications"],"summary":"Get notifications about current matters and messages","description":"Returns notifications about open matters","operationId":"notifications","produces":["application/json"],"parameters":[{"name":"session","in":"header","description":"current session of the user from /login method","required":true,"type":"string"},{"name":"id","in":"header","description":"id of the user from /login method","required":true,"type":"integer"}],"responses":{"200":{"description":"successful operation","schema":{"$ref":"#/definitions/Notification"}},"401":{"description":"Unauthorized"},"404":{"description":"Client not found"}},"security":[{"apiKey":[]}]}},"/messages":{"get":{"tags":["messages"],"summary":"Get messages about current matters and notices","description":"Returns messages","operationId":"messages","produces":["application/json"],"parameters":[{"name":"session","in":"header","description":"current session of the user from /login method","required":true,"type":"string"},{"name":"id","in":"header","description":"id of the user from /login method","required":true,"type":"integer"},{"name":"page","in":"query","description":"Specifies the page of results (default: 1)","required":false,"type":"integer"}],"responses":{"200":{"description":"successful operation","schema":{"$ref":"#/definitions/Message"},"headers":{"Pagination-Count":{"description":"Total number of clients","type":"integer"},"Pagination-Page":{"description":"Current page number","type":"integer"},"Pagination-Limit":{"description":"Number of returned clients per page","type":"integer"}}},"401":{"description":"Unauthorized"},"404":{"description":"Client not found"}},"security":[{"apiKey":[]}]}},"/clients/{clientId}":{"get":{"tags":["clients"],"summary":"Find Client by ID","description":"Returns a single client","operationId":"findClientsByID","produces":["application/json"],"parameters":[{"name":"session","in":"header","description":"current session of the user from /login method","required":true,"type":"string"},{"name":"id","in":"header","description":"id of the user from /login method","required":true,"type":"integer"},{"name":"clientId","in":"path","description":"ID of client to return","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"successful operation","schema":{"$ref":"#/definitions/Client"}},"400":{"description":"Invalid ID supplied"},"401":{"description":"Unauthorized"},"404":{"description":"Client not found"}},"security":[{"apiKey":[]}]}},"/invoices/{invoiceId}":{"get":{"tags":["invoices"],"summary":"Find Invoice by ID","description":"Returns a single invoice","operationId":"findInvoiceByID","produces":["application/json"],"parameters":[{"name":"session","in":"header","description":"current session of the user from /login method","required":true,"type":"string"},{"name":"id","in":"header","description":"id of the user from /login method","required":true,"type":"integer"},{"name":"invoiceId","in":"path","description":"ID of invoice to return","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"$ref":"#/definitions/Invoice"}},"400":{"description":"Invalid ID supplied"},"401":{"description":"Unauthorized"},"404":{"description":"Invoice not found"}},"security":[{"apiKey":[]}]}},"/uploadpre":{"get":{"tags":["documents"],"summary":"Generate a presigned url \"/presignedUrl\" to upload an object. The presigned url will require a PUT method request to upload. This request is performed on a different domain.","operationId":"postDocument","produces":["application/json"],"parameters":[{"name":"session","in":"header","description":"current session of the user from /login method","required":true,"type":"string"},{"name":"id","in":"header","description":"id of the user from /login method","required":false,"type":"integer"},{"name":"type","in":"query","description":"Type of the upload: FEAT, FEA, ADA","required":false,"type":"string"},{"name":"matterId","in":"query","description":"For type FEA, the matter Id (FEAR) is mandatory, for ADA (ADAR) it is mandatory for existing ADAs and for FEAT it is mandatory for existing Temp Questions.","required":false,"type":"string"},{"name":"name","in":"query","description":"Name of the object to be uploaded","required":false,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"$ref":"#/definitions/Document"}},"400":{"description":"Invalid ID supplied"},"401":{"description":"Unauthorized"},"404":{"description":"Upload unsuccessful"}},"security":[{"apiKey":[]}]}},"/documents/{documentId}/downloadpre":{"get":{"tags":["documents"],"summary":"Generate a presigned url to download a document. The presigned url will require a GET request to actually obtain the document. This request is performed on a different domain.","description":"Returns a single document","operationId":"getDocumentByID","produces":["application/json"],"parameters":[{"name":"session","in":"header","description":"current session of the user from /login method","required":true,"type":"string"},{"name":"id","in":"header","description":"id of the user from /login method","required":true,"type":"integer"},{"name":"documentId","in":"path","description":"ID of document to return","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"successful operation","schema":{"$ref":"#/definitions/Document"}},"400":{"description":"Invalid ID supplied"},"401":{"description":"Unauthorized"},"404":{"description":"Document not found"}},"security":[{"apiKey":[]}]}},"/profile":{"get":{"tags":["profile"],"summary":"get information about currently loggedin user","description":"Returns a single profile","operationId":"getProfile","produces":["application/json"],"parameters":[{"name":"session","in":"header","description":"current session of the user from /login method","required":true,"type":"string"},{"name":"id","in":"header","description":"id of the user from /login method","required":true,"type":"integer"}],"responses":{"200":{"description":"successful operation","schema":{"$ref":"#/definitions/User"}},"401":{"description":"Unauthorized"},"404":{"description":"Profile not found"}},"security":[{"apiKey":[]}]}},"/profile/password":{"post":{"tags":["profile"],"summary":"update password for currently loggedin user","description":"Returns 200 if password was successfully changed","operationId":"profilePassword","produces":["application/json"],"parameters":[{"name":"session","in":"header","description":"current session of the user from /login method","required":true,"type":"string"},{"name":"id","in":"header","description":"id of the user from /login method","required":true,"type":"integer"},{"in":"body","name":"password","description":"new password for login","required":true,"schema":{"type":"object","properties":{"oldpass":{"type":"string"},"neupass":{"type":"string"}}}}],"responses":{"200":{"description":"successful operation","schema":{"$ref":"#/definitions/User"}},"401":{"description":"Unauthorized"},"404":{"description":"Profile not found"}},"security":[{"apiKey":[]}]}},"/pay/{matterId}":{"post":{"tags":["payment"],"summary":"Get payment link for the current temporary matter","description":"Returns a payment link for the current temporary matter","operationId":"pay","produces":["application/json"],"parameters":[{"name":"session","in":"header","description":"current session of the user from /login method","required":true,"type":"string"},{"name":"id","in":"header","description":"id of the user from /login method","required":true,"type":"integer"},{"name":"matterId","required":true,"in":"path","type":"string","description":"temporary matter Id from previous step e.g. FEAT12345"},{"in":"body","name":"redirect","description":"redirect_url","required":false,"schema":{"type":"object","properties":{"redirect_url":{"type":"string","description":"redirect url after successful completion of payment"},"cancel_url":{"type":"string","description":"(for paypal) redirect url if payment is cancelled"},"error_url":{"type":"string","description":"(for paypal) redirect url if payment errors out"}}}}],"responses":{"200":{"description":"successful operation - payment url will be provided","schema":{"type":"object","properties":{"data":{"type":"object","properties":{"payment_url":{"type":"string","description":"URL for payment of the matter. Returned for all stripe payments and paypal one-off (non-flatrate) payments"},"payment_code":{"type":"string","description":"optional - HTML/Javascript code to display payment button for payment of paypal subscriptions."}}},"meta":{"type":"object","properties":{"debug":{"type":"string"}}}}}},"401":{"description":"Unauthorized"},"404":{"description":"Profile not found"}},"security":[{"apiKey":[]}]}},"/matter":{"post":{"tags":["matters"],"summary":"Submit a matter for processing","description":"Adds a question as ADA or FEA by a logged in client","operationId":"addMatter","produces":["application/json"],"parameters":[{"name":"session","in":"header","description":"current session of the user from /login method","required":true,"type":"string"},{"name":"id","in":"header","description":"id of the user from /login method","required":false,"type":"integer"},{"in":"body","name":"body","description":"values for the new matter","schema":{"type":"object","required":["message","subject","price","forum_id","private","abo"],"properties":{"message":{"type":"string"},"subject":{"type":"string"},"price":{"type":"integer"},"forum_id":{"type":"integer"},"private":{"type":"integer","description":"0 for a public question, 1 for a confidential question"},"abo":{"type":"integer","description":"0 for a normal question, 1 for abo"},"structured_data":{"type":"string","description":"optional - JSON format to provide further information about topic"}}}}],"responses":{"200":{"description":"matter added successfully"},"400":{"description":"Invalid call"},"401":{"description":"Unauthorized"},"404":{"description":"incorrect information supplied for matter"}},"security":[{"apiKey":[]}]}},"/matters":{"get":{"tags":["matters"],"summary":"List all matters","description":"Returns all matters for current lawyer","operationId":"findMatters","produces":["application/json"],"parameters":[{"name":"session","in":"header","description":"current session of the user from /login method","required":true,"type":"string"},{"name":"id","in":"header","description":"id of the user from /login method","required":true,"type":"integer"},{"name":"status","in":"query","description":"Status of the advice matter: open, closed, answered","required":false,"type":"string"},{"name":"site","in":"query","description":"Specify the site (\"fea\" or \"ada\") of the matters (default: all)","required":false,"type":"string"},{"name":"limit","in":"query","description":"Limits the number of results (default: x)","required":false,"type":"integer"},{"name":"page","in":"query","description":"Specifies the page of results (default: 1)","required":false,"type":"integer"},{"name":"from","in":"query","description":"Specifies the date and time to search results from","required":false,"type":"string"},{"name":"to","in":"query","description":"Specifies the date and time to search results to","required":false,"type":"string"},{"name":"order","in":"query","description":"Specifies the field to order the results by (default: date)","required":false,"type":"string"},{"name":"lawyerId","in":"query","description":"Specifies the lawyers (comma separated) that the results are for","required":false,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"type":"array","items":{"$ref":"#/definitions/Matter"}},"headers":{"Pagination-Count":{"description":"Total number of matters","type":"integer"},"Pagination-Page":{"description":"Current page number","type":"integer"},"Pagination-Limit":{"description":"Number of returned matters per page","type":"integer"}}},"400":{"description":"Invalid call"},"401":{"description":"Unauthorized"},"404":{"description":"No matters found"}},"security":[{"apiKey":[]}]}},"/matters/{matterId}":{"get":{"tags":["matters"],"summary":"List one matter","description":"Returns a particular matter for current lawyer","operationId":"findMattersbyId","produces":["application/json"],"parameters":[{"name":"session","in":"header","description":"current session of the user from /login method","required":true,"type":"string"},{"name":"id","in":"header","description":"id of the user from /login method","required":true,"type":"integer"},{"name":"matterId","in":"path","description":"ID of matter to return. ADAxxxx is the specific ADA. FEAxxxx is the specific FEA q/a.","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"$ref":"#/definitions/Matter"}},"400":{"description":"Invalid call"},"401":{"description":"Unauthorized"},"404":{"description":"No matters found"}},"security":[{"apiKey":[]}]}},"/matters/{matterId}/lottery":{"put":{"tags":["matters"],"summary":"Add lawyer to lottery for matter (FEA)","description":"Adds a lawyer to lottery for given matterid (multiple submissions are not counted)","operationId":"addLawyerToLotteryMattersbyId","produces":["application/json"],"parameters":[{"name":"session","in":"header","description":"current session of the user from /login method","required":true,"type":"string"},{"name":"id","in":"header","description":"id of the user from /login method","required":true,"type":"integer"},{"name":"matterId","in":"path","description":"ID of matter affected","required":true,"type":"string"}],"responses":{"200":{"description":"lawyer added to lottery"},"400":{"description":"Invalid call"},"401":{"description":"Unauthorized"},"404":{"description":"No current lottery for this matterId"}},"security":[{"apiKey":[]}]}},"/matters/{matterId}/lock":{"put":{"tags":["matters"],"summary":"lock question for lawyer (FEA)","description":"Locks a question for a lawyer for the given matterid","operationId":"lockQuestion","produces":["application/json"],"parameters":[{"name":"session","in":"header","description":"current session of the user from /login method","required":true,"type":"string"},{"name":"id","in":"header","description":"id of the user from /login method","required":true,"type":"integer"},{"name":"matterId","in":"path","description":"ID of matter affected","required":true,"type":"string"}],"responses":{"200":{"description":"lawyer locked question"},"400":{"description":"Invalid call"},"401":{"description":"Unauthorized"},"404":{"description":"Permission Errors (with details)"}},"security":[{"apiKey":[]}]}},"/matters/{matterId}/unlock":{"put":{"tags":["matters"],"summary":"unlock question for lawyer (FEA)","description":"unLocks a question for a lawyer for the given matterid","operationId":"unlockQuestion","produces":["application/json"],"parameters":[{"name":"session","in":"header","description":"current session of the user from /login method","required":true,"type":"string"},{"name":"id","in":"header","description":"id of the user from /login method","required":true,"type":"integer"},{"name":"matterId","in":"path","description":"ID of matter affected","required":true,"type":"string"}],"responses":{"200":{"description":"lawyer unlocked question"},"400":{"description":"Invalid call"},"401":{"description":"Unauthorized"},"404":{"description":"Permission Errors (with details)"}},"security":[{"apiKey":[]}]}},"/matters/{matterId}/finalize":{"post":{"tags":["matters"],"summary":"post the paid question","description":"final step in posting a matter to the pool of lawyers","operationId":"finalize","produces":["application/json"],"parameters":[{"name":"session","in":"header","description":"current session of the user from /login method","required":true,"type":"string"},{"name":"id","in":"header","description":"id of the user from /login method","required":true,"type":"integer"},{"name":"matterId","in":"path","description":"ID of temporary matter","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation - matter has been finalized","schema":{"type":"object","properties":{"data":{"type":"object","properties":{"id":{"type":"string","description":"new id of the posted matter"}}},"meta":{"type":"object","properties":{"debug":{"type":"string"}}}}}},"400":{"description":"Invalid call"},"401":{"description":"Unauthorized"},"404":{"description":"Permission Errors (with details)"}},"security":[{"apiKey":[]}]}},"/stats/lawyer/{mode}":{"get":{"tags":["stats"],"summary":"Returns statistics on open matters that the lawyer must respond to","description":"Returns number of open matters for current lawyer","operationId":"statsOpenMatters","produces":["application/json"],"parameters":[{"name":"session","in":"header","description":"current session of the user from /login method","required":true,"type":"string"},{"name":"id","in":"header","description":"id of the user from /login method","required":true,"type":"integer"},{"name":"lawyerId","in":"query","description":"IDs of lawyers we're querying for, can be comma separated","required":true,"type":"string"},{"name":"mode","in":"path","description":"mode of stats requested","required":true,"type":"string"},{"name":"excludeAbo","in":"query","description":"include or exclude Abo Questions default (exclude)","required":false,"type":"string"},{"name":"ADATimeDelayForLock","in":"query","description":"whether number returned is used for locking questions","required":false,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"$ref":"#/definitions/Stats"}},"400":{"description":"Invalid call"},"401":{"description":"Unauthorized"},"404":{"description":"No matters found"}},"security":[{"apiKey":[]}]}}},"securityDefinitions":{"apiKey":{"type":"apiKey","name":"x-api-key","in":"header"}},"definitions":{"Stat":{"type":"object","properties":{"description":{"description":"what the stat is, for example \"FEA Open Questions for lawyer\"","type":"string"},"id":{"description":"lawyerId (or objectId) that we are returning this data for or about","type":"integer"},"value":{"type":"integer"}}},"Stats":{"type":"object","properties":{"stat":{"type":"array","items":{"$ref":"#/definitions/Stat"}}}},"Rating":{"type":"object","properties":{"Answer1":{"type":"integer"},"Answer2":{"type":"integer"},"Answer3":{"type":"integer"},"Answer4":{"type":"integer"},"Answer5":{"type":"integer"}}},"User":{"type":"object","properties":{"session":{"type":"string"},"id":{"type":"integer","format":"int64"},"object":{"type":"string"},"anwalt":{"type":"integer"},"anwaltId":{"type":"integer"},"anwaltPrime":{"type":"integer"},"level":{"type":"integer"},"userFlatrate":{"type":"integer"},"userName":{"type":"string"},"firstName":{"type":"string"},"lastName":{"type":"string"},"email":{"type":"string"},"urlAuthorized":{"type":"string"},"Name":{"type":"string"},"Adresse":{"type":"string"},"Ort":{"type":"string"},"Umsatzsteuernummer":{"type":"string"}}},"Client":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"hash":{"type":"string"},"object":{"type":"string"},"firstName":{"type":"string"},"lastName":{"type":"string"},"email":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postalCode":{"type":"string"},"phone":{"type":"string"},"userStatus":{"type":"integer","format":"int32","description":"User Status"}}},"Matter":{"type":"object","properties":{"id":{"type":"string"},"hash":{"type":"string"},"object":{"type":"string"},"type":{"description":"public or private or flatratepublic or flatrateprivate for FEA, private for ADAs","enum":["public","private","flatratepublic","flatrateprivate"],"type":"string"},"title":{"type":"string"},"areaOfLaw":{"type":"string"},"forumId":{"type":"integer"},"urlApi":{"type":"string"},"urlAuthorized":{"type":"string"},"offer":{"description":"none (this is not an offer), FEA (ADA comes from a FEA offer), ADA (ADA comes from an ADA offer), RS (this is a rechtshop product)","enum":["none","FEA","ADA","RS"]},"offerOriginalUrl":{"description":"link to the original matter that created this offer (or rechtshop product)","type":"string"},"offerOriginalUrlApi":{"description":"link to the original matter that created this offer API (or rechtshop product)","type":"string"},"offerOriginalId":{"description":"id of the original matter (or rechtshop product)","type":"integer"},"offerOriginalTitle":{"description":"Title of the original matter (or rechtshop product)","type":"string"},"lawyerActiveId":{"description":"Id of current answering lawyer","type":"integer"},"lawyerActiveImageUrl":{"type":"string"},"lawyerActiveFirstName":{"type":"string"},"lawyerActiveLastName":{"type":"string"},"lawyerPreviousId":{"description":"Id of previous lawyer / Id of lawyer that delegated this matter","type":"integer"},"lawyerPreviousImageUrl":{"type":"string"},"lawyerPreviousFirstName":{"type":"string"},"lawyerPreviousLastName":{"type":"string"},"client":{"type":"integer","format":"int64"},"clientName":{"type":"string"},"clientUrlApi":{"type":"string"},"datumAnfrage":{"type":"string","format":"date-time"},"amount":{"type":"number","format":"currency"},"includesattachments":{"description":"integer > 0 if this matter includes attachments. The integer is the number of attachments. Default is 0","type":"integer"},"lotterystatus":{"description":"shows the current status of this lawyer in the lottery","type":"string","enum":["participating","won","nonparticipating","first-come-first-served"]},"lotterytime":{"description":"shows how long the current lottery can still be joined. In seconds","type":"integer"},"status":{"type":"string","description":"Completion Status: open (new or negotiation accepted), closed (closed or negotiation declined)","enum":["open","closed","negotiate","answered"]},"lockTimer":{"description":"shows the time when a lock on a question will expire","type":"integer"},"furtherInfo":{"description":"further information about this matter","type":"object","properties":{"place":{"type":"integer","description":"place of fea flatrate members questions"},"all":{"type":"integer","description":"all count of fea flatrate members questions"}}},"lastAction":{"description":"last Action performed in the matter","type":"string"},"communication":{"type":"array","items":{"$ref":"#/definitions/MatterCommunication"}},"invoice":{"type":"array","items":{"$ref":"#/definitions/InvoiceList"}},"rating":{"type":"array","items":{"$ref":"#/definitions/Rating"}}}},"MatterCommunication":{"type":"object","properties":{"id":{"type":"integer","description":"unique identifier of communication consisting of matterid-platformid. ADAxxxx is the specific ADA. ADARxxxxx is the specific ADA communication message. ADAAxxxx is the specific ADA communication attachment. FEAxxxx is the specific FEA q/a. FEARxxxx is the specific FEA communication message. FEAAxxxx is the specific FEA attachment.","format":"int64"},"hash":{"type":"string"},"object":{"type":"string"},"originator":{"type":"integer","description":"unique identifier of the author of the communication matter","format":"int64"},"type":{"type":"string","description":"Type of Communication","enum":["question","answer","clarifying question","clarifying answer","attachment","note"]},"date":{"type":"string","format":"date-time"},"text":{"type":"string"},"urlApi":{"type":"string"}}},"Invoice":{"type":"object","properties":{"id":{"type":"string"},"hash":{"type":"string"},"object":{"type":"string"},"date":{"type":"string","format":"date-time"},"urlAuthorized":{"type":"string"},"amount":{"type":"number","format":"currency"},"currency":{"type":"string"},"title":{"type":"string"},"lines":{"type":"array","items":{"$ref":"#/definitions/InvoiceData"}},"clientUrlApi":{"type":"string"},"matterUrlApi":{"type":"string"}}},"InvoiceData":{"type":"object","properties":{"text":{"type":"string"},"hash":{"type":"string"},"amount":{"type":"integer","format":"currency"}}},"InvoiceList":{"type":"object","properties":{"id":{"type":"string"},"urlApi":{"type":"string"}}},"Message":{"type":"object","properties":{"id":{"type":"integer"},"date":{"type":"string"},"from":{"type":"string"},"title":{"type":"string"},"message":{"type":"string"}}},"Notification":{"type":"object","properties":{"message":{"type":"string"},"type":{"type":"string"},"number":{"type":"integer"},"url":{"type":"string"}}},"Document":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"hash":{"type":"string"},"object":{"type":"string"},"date":{"type":"string","format":"date-time"},"size":{"type":"integer","format":"int64"},"urlAuthorized":{"type":"string"}}}},"externalDocs":{"description":"Find out more about 123fea","url":"https://www.123recht.de"}}